<h3>Edit <%= @agent.presence&.name || 'new agent' %></h3>
<h2>Context: <%= current_agent %></h2>

<%= form_with model: @agent, url: controller.action_name == 'new' ? agents_path : agent_path(@agent) do |f| %>
    <%= render partial: 'form', locals: { agent: @agent, f: f } %>
<% end %>
